Library Version 18.1.40

DbMpoolFile::get_flags()
Prev | Chapter 9. The DbMpoolFile Handle | Next

## DbMpoolFile::get_flags()

    #include <db_cxx.h>

    int
    DbMpoolFile::get_flags(u_int32_t *flagsp);

The `DbMpoolFile::get_flags()` method returns the flags used to configure a file in the cache.

The `DbMpoolFile::get_flags()` method may be called at any time during the life of the application.

The `DbMpoolFile::get_flags()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### flagsp

The `DbMpoolFile::get_flags()` method returns the flags in flagsp.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods, DbMpoolFile::set_flags()

Prev | Up | Next
DbMpoolFile::get_fileid() | Home | DbMpoolFile::get_ftype()